Requesting Alert Geography

Historical hazards returned by the historical_hazards endpoint do not include alert geometry (unlike the V2 active hazards endpoint). To retrieve the alert geometry for a historical hazard, use this endpoint with the hazard's hazard_ID.

The Maximum Alert Geography (MAG) defines the hazard's notification area, not the impact. The MAG is considered the most expansive area possible for which users should receive a notification for this hazard. For example, a flood in San Francisco may not affect Oakland. But if you are in Oakland, you'd want to know if there is a flood in San Francisco.

Get alert geography for a hazard

get

Returns the alert geography (affected area polygon) for a specific hazard, including the geometry as WKT and binary representations.

Authorizations
AuthorizationstringRequired

JWT access token obtained from POST /authorize. Tokens expire after 15 minutes.

Path parameters
hazard-idstringRequired

Unique hazard identifier (UUID or numeric ID).

Responses
chevron-right
200

Alert geography for the requested hazard.

application/json

Alert geography (affected-area polygon) for a hazard.

magIdintegerOptional

Internal geometry record ID.

Example: 570048
uuidstringOptional

UUID of the alert geography.

titlestringOptional

Title of the alert area.

createDateintegerOptional

Creation timestamp in epoch milliseconds.

Example: 1697222149887
magTypestringOptional

Geometry derivation type.

Example: calculated
creatorstringOptional

Creator of the geometry.

isActivebooleanOptional

Whether this geometry is currently active.

Example: true
updateDateintegerOptional

Last update timestamp in epoch milliseconds.

Example: 1697222149887
get
/hazards/{hazard-id}/alert-geography
circle-info

See Authorizing Requests page to get your accessToken.

The hazard-id is the hazard_ID field from the historical hazards response (e.g., 203575). Below is an example request with path parameter hazard-id=203575.

Response Fields

Properties
Definitions

magId

The primary key and identifier for this MAG.

uuid

The unique identifier for this MAG across all DisasterAWARE systems.

title

A human-readable title for this MAG.

createDate

The time this MAG was created. The value is a Unix timestamp (milliseconds).

updateDate

The time this MAG was modified. The value is a Unix timestamp (milliseconds).

magType

This field has two potential values: CALCULATED or MANUAL. Calculated means this MAG was created using an algorithm. Manual means this MAG was created by a user.

creator

The user or system that created this MAG.

isActive

Whether this MAG is active or not. If the MAG is disabled, hazard updates will not produce new MAGs.

wkt

This property describes the geometry for this MAG. The value is an object containing the geometry in Well-Known Text (WKT) format as a MULTIPOLYGON. For more information about the WKT format please visit: https://en.wikipedia.org/wiki/Well-known_textarrow-up-right

Last updated